From 301d507f12281f15580ad95c48f66fa07d16f48c Mon Sep 17 00:00:00 2001
From: Daniel Baumann <daniel@debian.org>
Date: Sun, 8 Feb 2009 10:49:03 +0100
Subject: Prefixing debhelper files with package name.

---
 debian/bug/live-helper.presubj |   2 +
 debian/bug/live-helper.script  |  16 +++++
 debian/bug/presubj             |   2 -
 debian/bug/script              |  16 -----
 debian/cron.daily              | 154 -----------------------------------------
 debian/default                 |  16 -----
 debian/live-helper.cron.daily  | 154 +++++++++++++++++++++++++++++++++++++++++
 debian/live-helper.default     |  16 +++++
 debian/live-helper.logrotate   |  11 +++
 debian/live-helper.postinst    |  28 ++++++++
 debian/live-helper.postrm      |  22 ++++++
 debian/live-helper.prerm       |  23 ++++++
 debian/logrotate               |  11 ---
 debian/postinst                |  28 --------
 debian/postrm                  |  22 ------
 debian/prerm                   |  23 ------
 debian/rules                   |   4 +-
 17 files changed, 274 insertions(+), 274 deletions(-)
 create mode 100644 debian/bug/live-helper.presubj
 create mode 100644 debian/bug/live-helper.script
 delete mode 100644 debian/bug/presubj
 delete mode 100644 debian/bug/script
 delete mode 100644 debian/cron.daily
 delete mode 100644 debian/default
 create mode 100644 debian/live-helper.cron.daily
 create mode 100644 debian/live-helper.default
 create mode 100644 debian/live-helper.logrotate
 create mode 100644 debian/live-helper.postinst
 create mode 100644 debian/live-helper.postrm
 create mode 100644 debian/live-helper.prerm
 delete mode 100644 debian/logrotate
 delete mode 100644 debian/postinst
 delete mode 100644 debian/postrm
 delete mode 100644 debian/prerm

diff --git a/debian/bug/live-helper.presubj b/debian/bug/live-helper.presubj
new file mode 100644
index 0000000..52139e5
--- /dev/null
+++ b/debian/bug/live-helper.presubj
@@ -0,0 +1,2 @@
+Before reporting bugs in live-helper itself (i.e. not just in the packaging),
+please make sure you have read the section about bugs in the live-manual.
diff --git a/debian/bug/live-helper.script b/debian/bug/live-helper.script
new file mode 100644
index 0000000..54ef8dd
--- /dev/null
+++ b/debian/bug/live-helper.script
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+DEFAULT_SETTINGS="/etc/default/live-helper"
+
+# Checking depends
+dpkg -l debootstrap cdebootstrap
+
+# Checking suggests
+dpkg -l dosfstools genisoimage memtest86+ memtest86 mtools parted squashfs-tools genext2fs mtd-tools sudo fakeroot syslinux grub uuid-runtime win32-loader
+
+if [ -e "${DEFAULT_SETTINGS}" ]; then
+	echo "Contents of ${DEFAULT_SETTINGS}:"
+	cat "${DEFAULT_SETTINGS}"
+else
+	echo "${DEFAULT_SETTINGS} does not exist."
+fi
diff --git a/debian/bug/presubj b/debian/bug/presubj
deleted file mode 100644
index 52139e5..0000000
--- a/debian/bug/presubj
+++ /dev/null
@@ -1,2 +0,0 @@
-Before reporting bugs in live-helper itself (i.e. not just in the packaging),
-please make sure you have read the section about bugs in the live-manual.
diff --git a/debian/bug/script b/debian/bug/script
deleted file mode 100644
index 54ef8dd..0000000
--- a/debian/bug/script
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-DEFAULT_SETTINGS="/etc/default/live-helper"
-
-# Checking depends
-dpkg -l debootstrap cdebootstrap
-
-# Checking suggests
-dpkg -l dosfstools genisoimage memtest86+ memtest86 mtools parted squashfs-tools genext2fs mtd-tools sudo fakeroot syslinux grub uuid-runtime win32-loader
-
-if [ -e "${DEFAULT_SETTINGS}" ]; then
-	echo "Contents of ${DEFAULT_SETTINGS}:"
-	cat "${DEFAULT_SETTINGS}"
-else
-	echo "${DEFAULT_SETTINGS} does not exist."
-fi
diff --git a/debian/cron.daily b/debian/cron.daily
deleted file mode 100644
index a146f09..0000000
--- a/debian/cron.daily
+++ /dev/null
@@ -1,154 +0,0 @@
-#!/bin/sh
-
-set -e
-
-BUILD="daily"
-
-# Checking for live-helper availability
-if [ ! -x /usr/bin/lh_config ]
-then
-	exit 0
-fi
-
-# Checking for live-helper defaults
-if [ -r /etc/default/live-helper_autobuild ]
-then
-	. /etc/default/live-helper_autobuild
-else
-	echo "E: /etc/default/live-helper_autobuild missing."
-	exit 1
-fi
-
-# Checking for autobuild
-if [ "${AUTOBUILD}" != "enabled" ]
-then
-	exit 0
-fi
-
-# Checking for build directory
-if [ ! -d "${TEMPDIR}" ]
-then
-	mkdir -p "${TEMPDIR}"/debian-live
-else
-	# FIXME: maybe we should just remove the left overs.
-	echo "E: ${TEMPDIR} needs cleanup."
-	exit 1
-fi
-
-echo "$(date +%b\ %d\ %H:%M:%S) ${HOSTNAME} live-helper: begin daily build." >> /var/log/live
-
-for ARCHITECTURE in ${ARCHITECTURES}
-do
-	for DISTRIBUTION in ${DISTRIBUTIONS}
-	do
-		for PACKAGES_LIST in ${PACKAGES_LISTS}
-		do
-			if [ ! -f "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-log.txt ]
-			then
-				# Creating build directory
-				mkdir -p "${TEMPDIR}"/debian-live
-
-				cd "${TEMPDIR}"/debian-live
-				echo "Begin: $(date -R)" > "${TEMPDIR}"/debian-live/log.txt
-
-				# Generating images
-				lh_config -b iso -s tar --distribution ${DISTRIBUTION} --packages-lists ${PACKAGES_LIST} --mirror-bootstrap ${MIRROR_BOOTSTRAP} --mirror-binary ${MIRROR_BINARY} --mirror-binary-security ${MIRROR_BINARY_SECURITY} --source enabled ${OPTIONS}
-				lh_build >> "${TEMPDIR}"/debian-live/log.txt 2>&1
-
-				echo "End: $(date -R)" >> "${TEMPDIR}"/debian-live/log.txt
-			fi
-
-			if [ -f "${TEMPDIR}"/debian-live/binary.iso ] && [ -f "${TEMPDIR}"/debian-live/source.tar ]
-			then
-				# Creating log directory
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log
-
-				# Moving logs
-				mv "${TEMPDIR}"/debian-live/log.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-log.txt
-				mv "${TEMPDIR}"/debian-live/packages.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-packages.txt
-
-				# Creating images directory
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/source
-
-				# Moving images
-				mv "${TEMPDIR}"/debian-live/binary.iso "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.iso
-				mv "${TEMPDIR}"/debian-live/source.tar "${DESTDIR}"/"${BUILD}"-builds/${DATE}/source/debian-live-${DISTRIBUTION}-source-${PACKAGES_LIST}.tar
-			fi
-
-			if [ ! -f "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-log.txt ]
-			then
-				# Workaround of missing multi-binary support in live-helper
-				mv "${TEMPDIR}"/debian-live/binary/casper "${TEMPDIR}"/debian-live/casper.tmp
-				rm -rf "${TEMPDIR}"/debian-live/binary* "${TEMPDIR}"/debian-live/.stage/binary_*
-				mkdir "${TEMPDIR}"/debian-live/binary
-				mv "${TEMPDIR}"/debian-live/casper.tmp "${TEMPDIR}"/debian-live/binary/casper
-				touch "${TEMPDIR}"/debian-live/.stage/binary_chroot
-				touch "${TEMPDIR}"/debian-live/.stage/binary_rootfs
-
-				# Creating build directory
-				mkdir -p "${TEMPDIR}"/debian-live
-
-				cd "${TEMPDIR}"/debian-live
-				echo "Begin: $(date -R)" > "${TEMPDIR}"/debian-live/log.txt
-
-				# Generating images
-				lh_config -b usb-hdd -s tar --distribution ${DISTRIBUTION} --packages-lists ${PACKAGES_LIST} --mirror-bootstrap ${MIRROR_BOOTSTRAP} --mirror-binary ${MIRROR_BINARY} --mirror-binary-security ${MIRROR_BINARY_SECURITY} --source disabled ${OPTIONS}
-				lh_build >> "${TEMPDIR}"/debian-live/log.txt 2>&1
-
-				echo "End: $(date -R)" >> "${TEMPDIR}"/debian-live/log.txt
-			fi
-
-			if [ -f "${TEMPDIR}"/debian-live/binary.img ]
-			then
-				# Creating log directory
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log
-
-				# Moving logs
-				mv "${TEMPDIR}"/debian-live/log.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-log.txt
-				cp "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-packages.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-packages.txt
-
-				# Creating image directory
-				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}
-
-				# Moving images
-				mv "${TEMPDIR}"/debian-live/binary.img "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.img
-			fi
-
-			# Cleanup
-			cd "${TEMPDIR}"/debian-live
-			lh_clean
-		done
-
-		# Cleanup
-		cd "${TEMPDIR}"/debian-live
-		lh_clean purge
-	done
-done
-
-# Cleaning up
-if [ -f "${TEMPDIR}"/debian-live/chroot/proc/version ]
-then
-	umount "${TEMPDIR}"/debian-live/chroot/proc
-fi
-
-if [ -d "${TEMPDIR}"/debian-live/chroot/sys/kernel ]
-then
-	umount "${TEMPDIR}"/debian-live/chroot/sys
-fi
-
-# Removing build directory
-rm -rf "${TEMPDIR}"
-
-# Creating md5sums
-for DIRECTORY in "${DESTDIR}"/"${BUILD}"-builds/${DATE}/*
-do
-	cd "${DIRECTORY}"
-	md5sum * > MD5SUMS
-done
-
-# Creating current symlink
-rm -f "${DESTDIR}"/"${BUILD}"-builds/current
-ln -s ${DATE} "${DESTDIR}"/"${BUILD}"-builds/current
-
-echo "$(date +%b\ %d\ %H:%M:%S) ${HOSTNAME} live-helper: end daily build." >> /var/log/live
diff --git a/debian/default b/debian/default
deleted file mode 100644
index b2ed78f..0000000
--- a/debian/default
+++ /dev/null
@@ -1,16 +0,0 @@
-# Defaults for /etc/cron.daily/live-helper_autobuild
-
-AUTOBUILD="disabled"
-
-DATE="$(date +%Y%m%d)"
-DESTDIR="/srv/debian-live"
-TEMPDIR="/srv/tmp/live-helper"
-
-OPTIONS="--binary-indices disabled"
-
-ARCHITECTURES="$(dpkg --print-architecture)"
-DISTRIBUTIONS="sid"
-MIRROR_BOOTSTRAP="http://ftp.debian.org/debian/"
-MIRROR_BINARY="http://ftp.debian.org/debian/"
-MIRROR_BINARY_SECURITY="http://security.debian.org/"
-PACKAGES_LISTS="standard rescue gnome-desktop kde-desktop xfce-desktop"
diff --git a/debian/live-helper.cron.daily b/debian/live-helper.cron.daily
new file mode 100644
index 0000000..a146f09
--- /dev/null
+++ b/debian/live-helper.cron.daily
@@ -0,0 +1,154 @@
+#!/bin/sh
+
+set -e
+
+BUILD="daily"
+
+# Checking for live-helper availability
+if [ ! -x /usr/bin/lh_config ]
+then
+	exit 0
+fi
+
+# Checking for live-helper defaults
+if [ -r /etc/default/live-helper_autobuild ]
+then
+	. /etc/default/live-helper_autobuild
+else
+	echo "E: /etc/default/live-helper_autobuild missing."
+	exit 1
+fi
+
+# Checking for autobuild
+if [ "${AUTOBUILD}" != "enabled" ]
+then
+	exit 0
+fi
+
+# Checking for build directory
+if [ ! -d "${TEMPDIR}" ]
+then
+	mkdir -p "${TEMPDIR}"/debian-live
+else
+	# FIXME: maybe we should just remove the left overs.
+	echo "E: ${TEMPDIR} needs cleanup."
+	exit 1
+fi
+
+echo "$(date +%b\ %d\ %H:%M:%S) ${HOSTNAME} live-helper: begin daily build." >> /var/log/live
+
+for ARCHITECTURE in ${ARCHITECTURES}
+do
+	for DISTRIBUTION in ${DISTRIBUTIONS}
+	do
+		for PACKAGES_LIST in ${PACKAGES_LISTS}
+		do
+			if [ ! -f "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-log.txt ]
+			then
+				# Creating build directory
+				mkdir -p "${TEMPDIR}"/debian-live
+
+				cd "${TEMPDIR}"/debian-live
+				echo "Begin: $(date -R)" > "${TEMPDIR}"/debian-live/log.txt
+
+				# Generating images
+				lh_config -b iso -s tar --distribution ${DISTRIBUTION} --packages-lists ${PACKAGES_LIST} --mirror-bootstrap ${MIRROR_BOOTSTRAP} --mirror-binary ${MIRROR_BINARY} --mirror-binary-security ${MIRROR_BINARY_SECURITY} --source enabled ${OPTIONS}
+				lh_build >> "${TEMPDIR}"/debian-live/log.txt 2>&1
+
+				echo "End: $(date -R)" >> "${TEMPDIR}"/debian-live/log.txt
+			fi
+
+			if [ -f "${TEMPDIR}"/debian-live/binary.iso ] && [ -f "${TEMPDIR}"/debian-live/source.tar ]
+			then
+				# Creating log directory
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log
+
+				# Moving logs
+				mv "${TEMPDIR}"/debian-live/log.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-log.txt
+				mv "${TEMPDIR}"/debian-live/packages.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-packages.txt
+
+				# Creating images directory
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/source
+
+				# Moving images
+				mv "${TEMPDIR}"/debian-live/binary.iso "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.iso
+				mv "${TEMPDIR}"/debian-live/source.tar "${DESTDIR}"/"${BUILD}"-builds/${DATE}/source/debian-live-${DISTRIBUTION}-source-${PACKAGES_LIST}.tar
+			fi
+
+			if [ ! -f "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-log.txt ]
+			then
+				# Workaround of missing multi-binary support in live-helper
+				mv "${TEMPDIR}"/debian-live/binary/casper "${TEMPDIR}"/debian-live/casper.tmp
+				rm -rf "${TEMPDIR}"/debian-live/binary* "${TEMPDIR}"/debian-live/.stage/binary_*
+				mkdir "${TEMPDIR}"/debian-live/binary
+				mv "${TEMPDIR}"/debian-live/casper.tmp "${TEMPDIR}"/debian-live/binary/casper
+				touch "${TEMPDIR}"/debian-live/.stage/binary_chroot
+				touch "${TEMPDIR}"/debian-live/.stage/binary_rootfs
+
+				# Creating build directory
+				mkdir -p "${TEMPDIR}"/debian-live
+
+				cd "${TEMPDIR}"/debian-live
+				echo "Begin: $(date -R)" > "${TEMPDIR}"/debian-live/log.txt
+
+				# Generating images
+				lh_config -b usb-hdd -s tar --distribution ${DISTRIBUTION} --packages-lists ${PACKAGES_LIST} --mirror-bootstrap ${MIRROR_BOOTSTRAP} --mirror-binary ${MIRROR_BINARY} --mirror-binary-security ${MIRROR_BINARY_SECURITY} --source disabled ${OPTIONS}
+				lh_build >> "${TEMPDIR}"/debian-live/log.txt 2>&1
+
+				echo "End: $(date -R)" >> "${TEMPDIR}"/debian-live/log.txt
+			fi
+
+			if [ -f "${TEMPDIR}"/debian-live/binary.img ]
+			then
+				# Creating log directory
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log
+
+				# Moving logs
+				mv "${TEMPDIR}"/debian-live/log.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-log.txt
+				cp "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-iso-packages.txt "${DESTDIR}"/"${BUILD}"-builds/${DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${DATE}-usb-hdd-packages.txt
+
+				# Creating image directory
+				mkdir -p "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}
+
+				# Moving images
+				mv "${TEMPDIR}"/debian-live/binary.img "${DESTDIR}"/"${BUILD}"-builds/${DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.img
+			fi
+
+			# Cleanup
+			cd "${TEMPDIR}"/debian-live
+			lh_clean
+		done
+
+		# Cleanup
+		cd "${TEMPDIR}"/debian-live
+		lh_clean purge
+	done
+done
+
+# Cleaning up
+if [ -f "${TEMPDIR}"/debian-live/chroot/proc/version ]
+then
+	umount "${TEMPDIR}"/debian-live/chroot/proc
+fi
+
+if [ -d "${TEMPDIR}"/debian-live/chroot/sys/kernel ]
+then
+	umount "${TEMPDIR}"/debian-live/chroot/sys
+fi
+
+# Removing build directory
+rm -rf "${TEMPDIR}"
+
+# Creating md5sums
+for DIRECTORY in "${DESTDIR}"/"${BUILD}"-builds/${DATE}/*
+do
+	cd "${DIRECTORY}"
+	md5sum * > MD5SUMS
+done
+
+# Creating current symlink
+rm -f "${DESTDIR}"/"${BUILD}"-builds/current
+ln -s ${DATE} "${DESTDIR}"/"${BUILD}"-builds/current
+
+echo "$(date +%b\ %d\ %H:%M:%S) ${HOSTNAME} live-helper: end daily build." >> /var/log/live
diff --git a/debian/live-helper.default b/debian/live-helper.default
new file mode 100644
index 0000000..b2ed78f
--- /dev/null
+++ b/debian/live-helper.default
@@ -0,0 +1,16 @@
+# Defaults for /etc/cron.daily/live-helper_autobuild
+
+AUTOBUILD="disabled"
+
+DATE="$(date +%Y%m%d)"
+DESTDIR="/srv/debian-live"
+TEMPDIR="/srv/tmp/live-helper"
+
+OPTIONS="--binary-indices disabled"
+
+ARCHITECTURES="$(dpkg --print-architecture)"
+DISTRIBUTIONS="sid"
+MIRROR_BOOTSTRAP="http://ftp.debian.org/debian/"
+MIRROR_BINARY="http://ftp.debian.org/debian/"
+MIRROR_BINARY_SECURITY="http://security.debian.org/"
+PACKAGES_LISTS="standard rescue gnome-desktop kde-desktop xfce-desktop"
diff --git a/debian/live-helper.logrotate b/debian/live-helper.logrotate
new file mode 100644
index 0000000..91b5ed5
--- /dev/null
+++ b/debian/live-helper.logrotate
@@ -0,0 +1,11 @@
+# /etc/logrotate.d/live-helper
+
+/var/log/live
+{
+	compress
+	copytruncate
+	missingok
+	monthly
+	notifempty
+	rotate 24
+}
diff --git a/debian/live-helper.postinst b/debian/live-helper.postinst
new file mode 100644
index 0000000..9137a2c
--- /dev/null
+++ b/debian/live-helper.postinst
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+	configure)
+		update-alternatives --install /usr/share/live-helper/templates \
+			live-helper_templates \
+			/usr/share/live-helper/templates.debian 100
+
+		update-alternatives --install /usr/share/live-helper/includes \
+			live-helper_includes \
+			/usr/share/live-helper/includes.debian 100
+		;;
+
+	abort-upgrade|abort-remove|abort-deconfigure)
+
+		;;
+
+	*)
+		echo "postinst called with unknown argument \`${1}'" >&2
+		exit 1
+		;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/live-helper.postrm b/debian/live-helper.postrm
new file mode 100644
index 0000000..9778835
--- /dev/null
+++ b/debian/live-helper.postrm
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+	purge)
+		rm -f /var/log/live*
+		;;
+
+	remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+		;;
+
+	*)
+		echo "postrm called with unknown argument \`${1}'" >&2
+		exit 1
+		;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/live-helper.prerm b/debian/live-helper.prerm
new file mode 100644
index 0000000..e30345b
--- /dev/null
+++ b/debian/live-helper.prerm
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+	remove|upgrade|deconfigure)
+		update-alternatives --remove live-helper_includes /usr/share/live-helper/includes.debian
+		update-alternatives --remove live-helper_templates /usr/share/live-helper/templates.debian
+		;;
+
+	failed-upgrade)
+
+		;;
+
+	*)
+		echo "prerm called with unknown argument \`${1}'" >&2
+		exit 1
+		;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/logrotate b/debian/logrotate
deleted file mode 100644
index 91b5ed5..0000000
--- a/debian/logrotate
+++ /dev/null
@@ -1,11 +0,0 @@
-# /etc/logrotate.d/live-helper
-
-/var/log/live
-{
-	compress
-	copytruncate
-	missingok
-	monthly
-	notifempty
-	rotate 24
-}
diff --git a/debian/postinst b/debian/postinst
deleted file mode 100644
index 9137a2c..0000000
--- a/debian/postinst
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/sh
-
-set -e
-
-case "${1}" in
-	configure)
-		update-alternatives --install /usr/share/live-helper/templates \
-			live-helper_templates \
-			/usr/share/live-helper/templates.debian 100
-
-		update-alternatives --install /usr/share/live-helper/includes \
-			live-helper_includes \
-			/usr/share/live-helper/includes.debian 100
-		;;
-
-	abort-upgrade|abort-remove|abort-deconfigure)
-
-		;;
-
-	*)
-		echo "postinst called with unknown argument \`${1}'" >&2
-		exit 1
-		;;
-esac
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/postrm b/debian/postrm
deleted file mode 100644
index 9778835..0000000
--- a/debian/postrm
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/bin/sh
-
-set -e
-
-case "${1}" in
-	purge)
-		rm -f /var/log/live*
-		;;
-
-	remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-
-		;;
-
-	*)
-		echo "postrm called with unknown argument \`${1}'" >&2
-		exit 1
-		;;
-esac
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/prerm b/debian/prerm
deleted file mode 100644
index e30345b..0000000
--- a/debian/prerm
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-
-set -e
-
-case "${1}" in
-	remove|upgrade|deconfigure)
-		update-alternatives --remove live-helper_includes /usr/share/live-helper/includes.debian
-		update-alternatives --remove live-helper_templates /usr/share/live-helper/templates.debian
-		;;
-
-	failed-upgrade)
-
-		;;
-
-	*)
-		echo "prerm called with unknown argument \`${1}'" >&2
-		exit 1
-		;;
-esac
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/rules b/debian/rules
index d500965..7cde5f8 100755
--- a/debian/rules
+++ b/debian/rules
@@ -43,8 +43,8 @@ install: build
 	mv debian/live-helper/usr/share/doc/live-helper/ChangeLog.live-package debian/live-helper/usr/share/doc/live-helper/changelog.live-package
 
 	# Installing bug control
-	install -D -m 0644 debian/bug/presubj debian/live-helper/usr/share/bug/live-helper
-	install -D -m 0755 debian/bug/script debian/live-helper/usr/share/bug/live-helper
+	install -D -m 0644 debian/bug/live-helper.presubj debian/live-helper/usr/share/bug/live-helper
+	install -D -m 0755 debian/bug/live-helper.script debian/live-helper/usr/share/bug/live-helper
 
 binary: binary-indep
 
-- 
cgit v1.0